<?php

namespace Ardent\UtilBundle\EntityBuilder;

use Symfony\Component\Console\Question\ChoiceQuestion;
use Symfony\Component\Console\Question\Question;

class ChoiceElement extends BaseElement
{
    public function getQuestion(): Question
    {
        return new ChoiceQuestion($this->getPrettyProperty(), $this->choices);
    }

    public function __construct(
        string                 $property,
        private readonly array $choices,
    )
    {
        parent::__construct($property);
    }

}